Page MenuHomePhabricator

efl/gesture: fix internal gesture object management
ClosedPublic

Authored by zmike on Feb 20 2020, 10:52 AM.

Details

Summary

when a gesture ends and is not set to continue, the gesture object must
be preserved until the entire touch sequence ends in order to ensure that
all the touch point states are accurately detected and updated and so
additional instances of that gesture are not accidentally triggered

this fixes weird corner cases where you could tap with two fingers and
then get a long press event while dragging the second finger around as
long as you did it quickly enough

Depends on D11383

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Feb 20 2020, 10:52 AM
zmike updated this revision to Diff 29269.Mar 2 2020, 10:25 AM
zmike edited the summary of this revision. (Show Details)

initialize recog_state

This revision was not accepted when it landed; it landed in state Needs Review.Mar 3 2020, 5:14 AM
Closed by commit rEFL3603884e51da: efl/gesture: fix internal gesture object management (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.